void func_home(int, window *);
void func_arrowleft(int, window *);
void func_quit(int, window *);
void func_delete_char(int, window *);
void func_end(int, window *);
void func_arrowright(int, window *);
void func_backspace(int, window *);
void func_wordfill(int, window *);
void func_comlinefill(int prompt_len, window *activ);
void func_cut_line(int, window *);
void func_redraw_screen(int, window *);
void func_arrowdown(int, window *);
void func_nextwindow(int, window *);
void func_arrowup(int, window *);
void func_system_comm(int, window *);
void func_screen_hist(int, window *);
void func_clear(int, window *);
void func_delete_word(int, window *);
void func_exit_win_hist(int, window *);
void func_pageup(int, window *);
void func_pagedown(int, window *);
void func_mark(int, window *);
void func_copy_clip(int, window *);
void func_insert_clip(int, window *);

void add_key_string(const uchar *str, void (*f)(int, window *));
void sigmask_on();
void sigmask_off();
void tintin(void);
void ReadUser(
#ifndef X_DISPLAY_MISSING
	      XKeyEvent *event = 0
#endif
	      );

void exit_tintin(int status);
void myquitsig(...);

struct key_elem {
  const unsigned char *name;
  void (*func)(int, window *);
  const unsigned char *descr;
};

session *comm_ctrl(const unsigned char *arg, session *ses);

class key_data {
public:
  key_data();
  ~key_data();
  
  struct key_data *keys[256];
  void (*func)(int, window *);
  static int amount;
};

struct key_func_table {
  key_data *key;
  void (*func)(int, window *);
  int always;
};
