#ifndef __UTILITY_H__
#define __UTILITY_H__ 1

int is_abrev(const unsigned char *s1, const unsigned char *s2,
	     const int ignorecase = FALSE);
unsigned char *strdup(const unsigned char *s);
void syserr(const char *msg);
void filelog(const char *);
unsigned int str_cat(unsigned char *, unsigned int, unsigned int,
		     const unsigned char *);
int add_str(uchar *, int &, int, int &, const uchar *, int, session *);
int str_len(const unsigned char *str);
int strip_ctrl_codes(unsigned char *, const unsigned char *, int);
int mystrcmp(const unsigned char *text, const unsigned char *str);
#ifndef STRICMP
int stricmp(const unsigned char *arg1, const unsigned char *arg2);
#endif
int ownisalnum(const unsigned char letter);

void CheckNewMail();

#endif
