#ifndef __XSCREEN_H__
#define __XSCREEN_H__

void DrawFunc();
void Redisplay(Widget, XEvent *, Region);
void Resize(Widget);
void XVBell(const window *);
void xprint_one(const basewindow *, const int, const int, const int);
void xprint_many(const basewindow *, const int, const int, const int,
		 const int);
void xprint_reg(basewindow *, const int);
void HandleFocusChange(Widget, XtPointer, XEvent *, Boolean *);
void HandleKeyPress(Widget, XtPointer, XEvent *, Boolean *);
Boolean convertSelectionProc(Widget, Atom *, Atom *, Atom *, XtPointer *,
			     unsigned long *, int *);
void loseSelectionProc(Widget, Atom *);
void doneSelectionProc(Widget, Atom *, Atom *);
void HandleMousePress(Widget, XtPointer, XEvent *, Boolean *);
void HandleMouseMove(Widget, XtPointer, XEvent *, Boolean *);
void GetColors();
void FreeColors();
XFontStruct *GetFont(const char *, session *);
void FreeFont(XFontStruct *);
#endif
